
class SimpleContainer {
   public enum Sizes {Small, Large};
   // Class-wide truth table for valid data inputs.
   //                                    RULES
   //                          ------------------------
   //   CAUSES                  1  2  3  4  5  6  7  8
   //       weight <= 1000      T  *  T    
   //       weight > 10000      F  F  F  
   //       volume == 1         T  *  F  
   //       volume > 20         F  F  *  
   //       size == Small       T  F  T  
   //       size == Large       F  T  F  
   //   EFFECTS
   //       check succeeds      T  T  F  
   //       tooLarge            F  F  T  
   //       tooHeavy            F  F  F  
   //
   // Create a Container of the selected size (in cubic metres)
   SimpleContainer(Sizes containerSize);
   
   // Return true if the container can hold the load
   public boolean check(int weight, int volume);

   // Return true if the load is too large for the container
   public boolean tooLarge();

   // Return true if the load is too heavy for the container
   public boolean tooHeavy();